<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical" >

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="10dip" >

        <TextView
            style="@style/Label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:text="@string/AddMJid" />

        <EditText
            android:id="@+id/addm_jid"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dip"
            android:contentDescription="@string/AddMJid"
            android:imeOptions="actionNext"
            android:inputType="textEmailAddress"
            android:scrollHorizontally="true" />

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="?android:attr/listDivider" />

        <TextView
            style="@style/Label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:text="@string/AddMName" />

        <EditText
            android:id="@+id/addm_name"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dip"
            android:contentDescription="@string/AddMName"
            android:imeOptions="actionNext"
            android:inputType="text"
            android:scrollHorizontally="true" />

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="?android:attr/listDivider" />

        <TextView
            style="@style/Label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:text="@string/AddMNickname" />

        <EditText
            android:id="@+id/addm_nickname"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dip"
            android:contentDescription="@string/AddMNickname"
            android:imeOptions="actionNext"
            android:inputType="text"
            android:scrollHorizontally="true" />

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="?android:attr/listDivider" />

        <TextView
            style="@style/Label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:text="@string/AddMPassword" />

        <EditText
            android:id="@+id/addm_password"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dip"
            android:contentDescription="@string/AddMPassword"
            android:imeOptions="actionNext"
            android:inputType="text"
            android:scrollHorizontally="true" />

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="?android:attr/listDivider" />

        <LinearLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >

            <TextView
                style="@style/Label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="@string/AddMAutojoin" />

            <CheckBox
                android:id="@+id/addm_autojoin"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_margin="3dip"
                android:contentDescription="@string/AddMAutojoin" />
        </LinearLayout>

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="?android:attr/listDivider" />

        <Button
            android:id="@+id/addm_ok"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_marginTop="10dip"
            android:text="@string/AddCOkButton"
            android:textColor="#333333"
            android:textSize="18sp"
            android:textStyle="bold" />
    </LinearLayout>

</ScrollView>